function plotSBVPsolution(bvp,info,u)
  Th=bvp.Th;
  if fc_tools.comp.isOctave()
    options={'interpreter','tex','fontsize',14};
  else
    options={'interpreter','latex','fontsize',14};
  end
  interpreter=@(s) fc_tools.graphics.interpreter(s);
  figure(1)
  Th.plot(u,'EdgeColor','none','FaceAlpha',0.8)
  hold on, axis image, axis off
  Th.plotiso(u,'niso',15,'LineWidth',1)
  shading interp
  h=colorbar();
  set(h,'Location','southoutside')
  set(get(h,'title'),'string',interpreter('$u_h$'),options{:})

  if ~isempty(info)
    if ~isempty(info.u)
      Uex=Th.eval(info.u);
      figure(2)
      Th.plot(abs(u-Uex)/max(abs(Uex)))
      colorbar, axis image,axis off
      shading interp
      h=colorbar();
      set(h,'Location','southoutside')
      set(get(h,'title'),'string',interpreter('$|u_h-u|/\|u\|_\infty$'),options{:})
    end
  end
end