function [H,EH1,EL2]=sBVP_Beltrami_order(LN,set_sBVP)
  set_sBVP(0)

  i=1;
  for N=LN
    fprintf('Run (%d/%d)\n',i,length(LN));
    fprintf('  ->  Building/reading mesh file in ...');
    [bvp,info]=set_sBVP(N);
    fprintf(' %.4f(s)\n',info.tcpu(1));
    fprintf('  ->  Setting sBVP in %.4f(s)\n',info.tcpu(2));
    Th=bvp.Th;
    H(i)=Th.get_h();
    fprintf('  ->  Mesh sizes : nq=%d, nme=%d, h=%.4e\n',Th.nq,Th.get_nme(),H(i));
    tstart=tic();
    U=fc_vfemp1.addon.surface.samples.solveBeltrami(bvp);
    tcpu=toc(tstart);
    fprintf('  ->  Solve in %.3f(s)\n',tcpu);
    Uex=Th.eval(info.u);
    [N1,M,K]=FEM.NormH1(Th,Uex);
    EH1(i)=FEM.NormH1(Th,Uex-U,'Mass',M,'Stiff',K)/(1+N1);
    EL2(i)=FEM.NormL2(Th,Uex-U,'Mass',M)/(1+FEM.NormL2(Th,Uex,'Mass',M));
    fprintf('  ->  u relative errors : L2=%.4e H1=%.4e\n',EL2(i),EH1(i));
    i=i+1;
  end
end
